using System.Text.Json.Serialization;

namespace Kynareth.Models;

public class PositionRect
{
	[JsonPropertyName("x"), ConfigurationKeyName("x")] 
	public int X { get; set; }
	[JsonPropertyName("y"), ConfigurationKeyName("y")] 
	public int Y { get; set; }
	[JsonPropertyName("w"), ConfigurationKeyName("w")] 
	public int Width { get; set; }
	[JsonPropertyName("h"), ConfigurationKeyName("h")] 
	public int Height { get; set; }
}

public class GenerationPositionRect : PositionRect
{
	[JsonPropertyName("r"), ConfigurationKeyName("r")] 
	public int Rotation { get; set; }
	[JsonPropertyName("background"), ConfigurationKeyName("background")] 
	public string Background { get; set; }
}

public class ImageEndpoint
{
	[JsonPropertyName("name"), ConfigurationKeyName("name")] 
	public string Name { get; set; }
    
	[JsonPropertyName("image"), ConfigurationKeyName("image")] 
	public string Image { get; set; }
}